## com.lowagie.text
Class GreekList

    java.lang.Object
      com.lowagie.text.List
          com.lowagie.text.GreekList

All Implemented Interfaces:
  Element, TextElementArray

    public class GreekList

extends List

A special-version of `LIST` which use greek-letters.

See Also:
  `List`

Field Summary

Fields inherited from class com.lowagie.text.List
`alignindent, ALPHABETICAL, autoindent, first, indentationLeft, indentationRight, lettered, list, lowercase, LOWERCASE, numbered, NUMERICAL, ORDERED, postSymbol, preSymbol, symbol, symbolIndent, UNORDERED, UPPERCASE`

Fields inherited from interface com.lowagie.text.Element

`ALIGN_BASELINE, ALIGN_BOTTOM, ALIGN_CENTER, ALIGN_JUSTIFIED, ALIGN_JUSTIFIED_ALL, ALIGN_LEFT, ALIGN_MIDDLE, ALIGN_RIGHT, ALIGN_TOP, ALIGN_UNDEFINED, ANCHOR, ANNOTATION, AUTHOR, CCITT_BLACKIS1, CCITT_ENCODEDBYTEALIGN, CCITT_ENDOFBLOCK, CCITT_ENDOFLINE, CCITTG3_1D, CCITTG3_2D, CCITTG4, CELL, CHAPTER, CHUNK, CREATIONDATE, CREATOR, HEADER, IMGRAW, IMGTEMPLATE, JBIG2, JPEG, JPEG2000, KEYWORDS, LIST, LISTITEM, MARKED, MULTI_COLUMN_TEXT, PARAGRAPH, PHRASE, PRODUCER, PTABLE, RECTANGLE, ROW, SECTION, SUBJECT, TABLE, TITLE, YMARK`

Constructor Summary
`GreekList()` Initialization
`GreekList(boolean greeklower, int symbolIndent)` Initialization
`GreekList(int symbolIndent)` Initialization

Method Summary
`boolean` `add(java.lang.Object o)` Adds an `Object` to the `List`.
`protected void` `setGreekFont()` change the font to SYMBOL

Methods inherited from class com.lowagie.text.List

`getChunks, getFirst, getIndentationLeft, getIndentationRight, getItems, getPostSymbol, getPreSymbol, getSymbol, getSymbolIndent, getTotalLeading, isAlignindent, isAutoindent, isContent, isEmpty, isLettered, isLowercase, isNestable, isNumbered, normalizeIndentation, process, setAlignindent, setAutoindent, setFirst, setIndentationLeft, setIndentationRight, setLettered, setListSymbol, setListSymbol, setLowercase, setNumbered, setPostSymbol, setPreSymbol, setSymbolIndent, size, type`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface com.lowagie.text.Element
`toString`

Constructor Detail

### GreekList

    public GreekList()

  Initialization

### GreekList

    public GreekList(int symbolIndent)

  Initialization

  Parameters:
    `symbolIndent` - indent

### GreekList

    public GreekList(boolean greeklower,
                     int symbolIndent)

  Initialization

  Parameters:
    `greeklower` - greek-char in lowercase
    `symbolIndent` - indent

Method Detail

### setGreekFont

    protected void setGreekFont()

  change the font to SYMBOL

### add

    public boolean add(java.lang.Object o)

  Adds an `Object` to the `List`.

  Specified by:
    `add` in interface `TextElementArray`
  Overrides:
    `add` in class `List`
  Parameters:
    `o` - the object to add.
  Returns:
    true if adding the object succeeded

Hosted by Hostbasket